<?php
session_start(); 
  include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }
    //fin validar session
	   $id_cd=$sesion->id;
extract($_POST);

echo"<br><br>";

    //fin validar session
    
    $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci where centro_activo=1";

	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));   
	   $consultada3 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));   
	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Reporte de Entregas por centro y fecha</label><br><br><br>
	<form name=\"Agrega\" action=\"cdentrega.php\" method=\"post\">
	<div align=\"center\">
	<table width=\"357\" height=\"80\" border=\"1\">
		<tr>
	<td>
	Fecha Inicial:<td/>
	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
							</tr>
							<tr>
	<td>
	Fecha Final:<td/>
	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
							</tr>
   </tr>
    
    
      <tr>

	<td>

							Centro Dist:<td/>

	<td><select name = \"id_cd\">";

							while ($datos = mysqli_fetch_array($consultada1))

							{

									echo "<option value=\"".$datos[0]."\">".$datos[0]."-".$datos[1]."</option>\n";

							

							}

							echo"</select></td>

							</tr>
      </table><input type=hidden name=continua value=5 />
	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Desplazamiento\" />
  </div></form>";


if($continua==5){
	
		  $q2 = "select idtransacciones, fechat, usuarios_ci_idusuarios_ci, consec, cdentrega, statusentrega, tipostr_idtipostr, fechae from transacciones where cdentrega=\"$id_cd\" and (tipostr_idtipostr=10 or tipostr_idtipostr=6 or tipostr_idtipostr=11 or tipostr_idtipostr=13)  and (tipostr_idtipostr=10 or tipostr_idtipostr=6 or tipostr_idtipostr=11 or tipostr_idtipostr=13 or tipostr_idtipostr=15)  and fechae between  \"$fecha_i\" and \"$fecha_f\" order by  fechat asc";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><font size=\"5\"><br></font><table border=\"1\"> <tr>
			<th>C. Venta</th><th>C. Entrega</th><th>Fecha V</th><th>Fecha E</th><th>Pedido</th><th>Transaccion</th><th>STATUS</th>	<th>tipo</th>			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	   $a4 = $r1[4];
	  $a5 = $r1[5];
	  $a6 = $r1[6];
	  $a7 = $r1[7];
	  if($a6==10){$tipon="Venta";}
	  if($a6==11){$tipon="Salida";}
	  if($a6==6){$tipon="Otras Sal";}
	  if($a6==15){$tipon="Agrupacion";}
	  
	  
echo"<tr><form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\"><input type=hidden name=pedido value=$a0 /><td align='center'>$a2</td><td>$a4</td><td>$a1</td><td>$a7</td><td>$a2 - $a3</td><td align='center'>$a0</td><td>$a5</td>
<td>$tipon</td><td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /></td>
			</form></tr>";
	}
	echo"</table><br>";
	
	
$q3 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where cdentrega=\"$id_cd\" and (statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechae between \"$fecha_i\" and \"$fecha_f\" and fechae=fechat group by  productos_idprod";	
	
	 $c3 = mysqli_query($conexion, $q3) or die ('Error en la consulta2' . mysqli_error($conexion));
  echo"</table><center><br><br><br>Pedidos Realizados / Entregados el mismo dia<br><table border=\"1\"> <tr>
			<th>Cantidad</th><th>Producto</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c3);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 
	  
	   $tot=$a0*$a2;
	   $vta_total+=$tot;
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a3</td></tr>";
	}
	echo"</table><br>";


$q4 = "select sum(cant), nombreprod, cdentrega, id_prod from pedido join transacciones on (transacciones.idtransacciones=pedido.transacciones_idtransacciones) join productos on (productos.id_prod=pedido.productos_idprod) where cdentrega=\"$id_cd\" and (statusentrega='ENTREGADO' or statusentrega='EMPACADO') and (tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=6 or tipostr_idtipostr=13) and fechae between \"$fecha_i\" and \"$fecha_f\" and fechae!=fechat group by  productos_idprod";	
	
	 $c4 = mysqli_query($conexion, $q4) or die ('Error en la consulta2' . mysqli_error($conexion));
  echo"</table><center><br><br><br>Pedidos Realizados / Entregados en diferente dia<br><table border=\"1\"> <tr>
			<th>Cantidad</th><th>Producto</th>
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c4);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];
	   $a3 = $r1[3];
	 
	  
	   $tot=$a0*$a2;
	   $vta_total+=$tot;
	  
echo"<tr><td>$a0</td><td>$a1</td><td>$a3</td></tr>";
	}
	echo"</table><br>";





	
}











?>

